package com.yunfeiyun.agmp.common.exception;

import com.yunfeiyun.agmp.common.constant.ErrorCode;

public class IncorrectParameterException extends RuntimeException {

    private static final long serialVersionUID = 601995650578985289L;
    /**
     * 错误码
     */
    private String code;

    /**
     * 错误消息
     */
    private String msg;

    public IncorrectParameterException(String msg) {
        super(msg);
        this.code = ErrorCode.INVALID_PARAMETER.getCode();
        this.msg = msg;
    }

    public IncorrectParameterException(String code , String msg) {
        super(msg);
        this.code = code;
        this.msg = msg;
    }

    public IncorrectParameterException(String msg, Throwable cause) {
        super(msg, cause);
        this.msg = msg;
    }
}
